Payments, payouts, deposits, withdrawals and disputes
GET
/api/public/v1/stats/transactionsLiveAnswers from your brand's records now.
Operation id getTransactions
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/stats/transactions" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| page | query | integer | Default 1 |
| per_page | query | integer | Default 10 |
| child_organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| transaction_type | query | string | One of paymentpayoutdepositwithdrawaldispute |
| search | query | string |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| additional_data | object | |
| additional_data.amount_sum | number | |
| additional_data.fee_sum | number | |
| additional_data.payment_sum | number | |
| additional_data.payout_sum | number | |
| data | array of object | |
| data[].[].created | integer | |
| data[].[].currency | string | |
| data[].[].destination | string | |
| data[].[].formatted_amount | string | |
| data[].[].id | integer | |
| data[].[].organization_name | string | |
| data[].[].source | string | |
| data[].[].status | string | |
| data[].[].transaction_type | string | |
| meta | object | |
| meta.current_page | integer | |
| meta.page_count | integer | |
| meta.row_count | integer |
Example
{
"additional_data": {
"amount_sum": 125.5,
"fee_sum": 125.5,
"payment_sum": 125.5,
"payout_sum": 125.5
},
"data": [
{
"created": 3,
"currency": "usd",
"destination": "string",
"formatted_amount": "string",
"id": 1024,
"organization_name": "Example name",
"source": "string",
"status": "string",
"transaction_type": "string"
}
],
"meta": {
"current_page": 1,
"page_count": 1,
"row_count": 3
}
}Errors: 400401with an error and usually a message. See errors.
Example values are made up from each field's type and name.